DELETE
/reserved_ips/private-ip/{reserve_ip_id}/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/reserved_ips/private-ip/{reserve_ip_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/gpu/reserved_ips/private-ip/{reserve_ip_id}/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/reserved_ips/private-ip/{reserve_ip_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”reserve_ip_id
required
integer
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
location
string
Example
DelhiFilter by location
active_iam
integer
Example
6706Active IAM ID
Responses
Section titled “Responses”VPC IP deleted successfully
Media typeapplication/json
object
code
integer
data
object
id
integer
ip_address
string format: ipv4
service_name
string
created_at
string format: date-time
status
string
reserved_by
object
id
integer
name
string
email
string format: email
username
string
service_type
string
service_id
integer
location
string
errors
object
message
string
Example
{ "code": 200, "data": { "id": 1403, "ip_address": "10.8.220.9", "service_name": "", "created_at": "2026-03-09T04:54:03.613008Z", "status": "Done", "reserved_by": { "id": 12477, "name": "xyz", "email": "abc@e2enetworks.com", "username": "abc@e2enetworks.com" }, "service_type": "", "service_id": null, "location": "Delhi" }, "errors": {}, "message": "IP 10.8.220.9 deleted successfully."}